﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
#End Region


Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	Dim p2 As page2_c
	Dim EditText1 As EditText
	Dim EditText2 As EditText
	Dim Button1 As Button
	Dim Button2 As Button
	Dim Button4 As Button
	Dim Label1 As Label
	Dim Label2 As Label
	Dim whats As ImageView
	Dim fl As String
	Dim ftp As FTP
	Dim fl As String
	Public Provider As FileProvider
	
	Private Button3 As Button
End Sub

Public Sub Initialize

End Sub


Private Sub B4XPage_Created (Root1 As B4XView)
	Provider.Initialize
	'rem lettura configurazione se presente	
	Root = Root1
	Root.LoadLayout("Mainpage")
	p2.Initialize
	B4XPages.AddPage("page2",p2)
	Dim TextReader1 As TextReader
	If File.Exists(File.DirInternal, "Configpet") Then
		TextReader1.Initialize(File.OpenInput(File.DirInternal, "Configpet"))
		DateTime.DateFormat="dd-MM-yyyy"
		Dim DataOggi As Long = DateTime.Now
	     
		EditText1.text = TextReader1.Readline & DateTime.Date(DataOggi)
		EditText2.text = TextReader1.Readline
		If EditText2.text <>"" Then
			whats.Enabled=True
		Else
			whats.Enabled=False
		End If
		EditText2.Visible=False
		Label2.visible=False
		Button2.enabled =True
		Label1.Text= "Credenziali di accesso"
	Else
		'rem invito alla registrazione
		Button1.enabled =True
		Label1.Text= "Inserisci le credenziali"
		EditText2.Visible=True
		Label2.visible=True
		ToastMessageShow ("Inserisci le credenziali e registra",True)
				
	End If
End Sub



Sub Button1_Click
	' rem registra configurazione
	If File.Exists(File.DirInternal, "ConfigPet") Then
		File.Delete(File.DirInternal, "ConfigPet")
	End If
	Dim TextWriter As TextWriter
		TextWriter.Initialize(File.OpenOutput(File.DirInternal, "ConfigPet", False))
	TextWriter.WriteLine(EditText1.text)
	TextWriter.WriteLine(EditText2.text)
	TextWriter.close
	
	ToastMessageShow ("Credenziali salvate",True)
	DateTime.DateFormat="dd-MM-yyyy"
   
	Dim DataOggi As Long = DateTime.Now
	   
	'rem alle credenziali aggiungerà la data del giorno	
	EditText1.text = EditText1.text & DateTime.Date(DataOggi)
	If EditText2.text <>"" Then
		whats.Enabled=True
		EditText2.Visible=False
		Label2.Visible=False
	Else
		whats.Enabled=True
	End If
	Button2.enabled =True
	Button1.enabled =False
	EditText2.Visible=False
	Label2.Visible=False
	Label1.Text= "Credenziali di accesso"
End Sub
Sub Button2_Click
	'rem download pdf dal sito
	fl = EditText1.text & ".pdf"
	Dim j As HttpJob
	j.Initialize("", Me)
	j.Download("https://www.miosito.it/puplic/miacartella/" & fl)
	Wait For (j) JobDone(j As HttpJob)
	If j.Success Then
		If File.Exists(File.DirInternal, fl) Then
			File.Delete(File.DirInternal, fl)
		End If
		Dim out As OutputStream
		
		out = File.OpenOutput(File.DirInternal, fl,False)
		
		File.Copy2(J.GetInputStream,out)
		out.close
		ToastMessageShow ("File scaricato",True)
		rimuovi
			Else
		ToastMessageShow ("File  non trovato",True)
		
	End If
	j.Release
	
End Sub
Sub rimuovi
	'rem rimuove il pdf una volta scaricato
	fl = EditText1.text & ".pdf"
	ftp.Initialize("ftp", "ftp.miosito.it", 21, "user", "password")
	Dim sf As Object = ftp.DeleteFile("miosito.it/public/mia cartella/" & fl)
	Wait For (sf) ftp_DeleteCompleted(ServerPath As String, Success As Boolean)
	If Success Then
		Else
		Label1.Text= LastException.Message
	End If
	ftp.Close
End Sub


Sub whats_click
	'rem permette di condividere il pdf tramite whatsapp
		fl = EditText1.text & ".pdf"
	If File.Exists(File.DirInternal, fl) Then
	File.Copy(File.DirInternal, fl,Provider.SharedFolder,fl)
	Dim sendIntent As Intent
	sendIntent.Initialize(sendIntent.ACTION_MAIN,"")
	sendIntent.Action=sendIntent.ACTION_SEND
	sendIntent.SetPackage("com.whatsapp")
	sendIntent.SetComponent("android/com.android.internal.app.ResolverActivity")
	sendIntent.putExtra("jid", EditText2.Text & "@s.whatsapp.net")
	sendIntent.PutExtra("android.intent.extra.STREAM", Provider.GetFileUri(fl))
	sendIntent.PutExtra("android.intent.extra.TEXT","Si allega documento :")
	sendIntent.SetType("application/pdf")
	StartActivity(sendIntent)
	Else
	ToastMessageShow ("File  non trovato, effettuare download",True)
	End If
End Sub


Sub Button4_Click
	' rem visualizza pdf
	fl = EditText1.text & ".pdf"
	If File.Exists(File.DirInternal, fl) Then
		
		Dim FileToSend As String = fl
		File.Copy(File.DirInternal, FileToSend, Provider.SharedFolder, FileToSend)
		Dim in As Intent
		in.Initialize(in.ACTION_VIEW, Provider.GetFileUri(FileToSend))
		in.SetType("application/pdf")
		in.Flags = 1 'FLAG_GRANT_READ_URI_PERMISSION
		in.SetComponent("android/com.android.internal.app.ResolverActivity")
		StartActivity(in)
		Else
		ToastMessageShow ("File  non trovato, effettuare download",True)
	End If
		
End Sub

	

Private Sub Label1_LongClick
	'rem permette di riscrivere la configurazione in caso di errore
	Button1.Enabled=True
	EditText1.Text=""
	EditText2.Visible=True
	Label2.Visible=True
End Sub

' rem l'intercettazione della chiusura del pdf dopo una conferme dovrà mostrare la pagina due
	'B4XPages.ShowPage("page2")

